Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509708 - Spurious output when zfs-fuse is installed but the daemon not activated
Summary: Spurious output when zfs-fuse is installed but the daemon not activated
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 22:05 UTC by Göran Uddeborg
Modified: 2019-01-04 11:22 UTC (History)
4 users (show)

Fixed In Version: logwatch-7.5.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-04 11:22:59 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2017-11-05 22:05:44 UTC
Description of problem:
After an upgrade of the virtualization tools pulled in zfs-fuse, I get this as part of the daily logwatch message:

 --------------------- ZFS Report Begin ------------------------ 

 connect: No such file or directory
 Please make sure that the zfs-fuse daemon is running.
 internal error: failed to initialize ZFS library
 
 ---------------------- ZFS Report End ------------------------- 


Version-Release number of selected component (if applicable):
logwatch-7.4.3-6.fc27.noarch


How reproducible:
Every time.


Steps to Reproduce:
1. Install logwatch and zfs-fuse
2. Make sure the zfs-fuse service is not activated
3. Run logwatch


Actual results:
A message including the above error message.


Expected results:
The message except for the message.


Additional info:
Unless I'm mistaken, this error happens when zpool is run a bit into the /usr/share/logwatch/scripts/services/zz-zfs script.  The script checks if zpool is installed, but it doesn't check if the daemon is running.  The zfs-fuse start script (/usr/sbin/zfs-fuse-helper) does this check by checking if there is a process named zfs-fuse, maybe a similar check could be added around line 62 in the zz-zfs script in logwatch?

Comment 1 John Dodson 2018-01-12 21:50:05 UTC
I am experiencing the same problem (introduced in fc26?)

Will this be fixed soon? ie. what is the status?

Will backward fixes be applied to fc26?

Comment 2 John Dodson 2018-03-19 07:16:44 UTC
Any news on this?

Comment 3 Ben Cotton 2018-11-27 16:34:59 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Göran Uddeborg 2018-11-27 21:53:50 UTC
The problem remains with F29 and logwatch-7.4.3-11.fc29.noarch.


Note You need to log in before you can comment on or make changes to this bug.